Package org.eclipse.gef.common.beans.property

## Class SimpleSetMultimapProperty<K,​V>

- java.lang.Object
- - org.eclipse.gef.common.beans.binding.SetMultimapExpression<K,​V>
  - - org.eclipse.gef.common.beans.property.ReadOnlySetMultimapProperty<K,​V>
    - - org.eclipse.gef.common.beans.property.SetMultimapProperty<K,​V>
      - - org.eclipse.gef.common.beans.property.SetMultimapPropertyBase<K,​V>
        - - org.eclipse.gef.common.beans.property.SimpleSetMultimapProperty<K,​V>

Type Parameters:
  `K` - The key type of the `ObservableSetMultimap`.
  `V` - The value type of the `ObservableSetMultimap`.

All Implemented Interfaces:
  `Multimap<K,​V>`, `SetMultimap<K,​V>`, `javafx.beans.Observable`, `javafx.beans.property.Property<ObservableSetMultimap<K,​V>>`, `javafx.beans.property.ReadOnlyProperty<ObservableSetMultimap<K,​V>>`, `javafx.beans.value.ObservableObjectValue<ObservableSetMultimap<K,​V>>`, `javafx.beans.value.ObservableValue<ObservableSetMultimap<K,​V>>`, `javafx.beans.value.WritableObjectValue<ObservableSetMultimap<K,​V>>`, `javafx.beans.value.WritableValue<ObservableSetMultimap<K,​V>>`, `ObservableSetMultimapValue<K,​V>`, `WritableSetMultimapValue<K,​V>`, `ObservableSetMultimap<K,​V>`

Direct Known Subclasses:
  `ReadOnlySetMultimapWrapper`

    public class SimpleSetMultimapProperty<K,​V>
    extends SetMultimapPropertyBase<K,​V>

A concrete implementation of a `Property` wrapping an `ObservableSetMultimap`.

### Constructor Summary

Constructors
`SimpleSetMultimapProperty()` Constructs a new unnamed `SimpleSetMultimapProperty`.
`SimpleSetMultimapProperty​(java.lang.Object bean, java.lang.String name)` Constructs a new `SimpleSetMultimapProperty` for the given bean and with the given name.
`SimpleSetMultimapProperty​(java.lang.Object bean, java.lang.String name, ObservableSetMultimap<K,​V> initialValue)` Constructs a new `SimpleSetMultimapProperty` for the given bean and with the given name and initial value.
`SimpleSetMultimapProperty​(ObservableSetMultimap<K,​V> initialValue)` Constructs a new unnamed `SimpleSetMultimapProperty` that is not related to a bean, with the given initial value.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getBean()`
`java.lang.String` `getName()`

### Methods inherited from class org.eclipse.gef.common.beans.property.SetMultimapPropertyBase

`addListener, addListener, addListener, appendValueToString, bind, emptyProperty, fireValueChangedEvent, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, removeListener, set, sizeProperty, unbind`

### Methods inherited from class org.eclipse.gef.common.beans.property.SetMultimapProperty

`bindBidirectional, setValue, unbindBidirectional`

### Methods inherited from class org.eclipse.gef.common.beans.property.ReadOnlySetMultimapProperty

`bindContent, bindContentBidirectional, equals, hashCode, toString, unbindContent, unbindContentBidirectional`

### Methods inherited from class org.eclipse.gef.common.beans.binding.SetMultimapExpression

`asMap, asString, clear, containsEntry, containsKey, containsValue, entries, get, getValue, isEmpty, isEqualTo, isNotEqualTo, isNotNull, isNull, keys, keySet, put, putAll, putAll, remove, removeAll, replaceAll, replaceValues, setMultimapExpression, size, values, valuesAt, valuesAt`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.common.collect.Multimap

`clear, containsEntry, containsKey, containsValue, forEach, hashCode, isEmpty, keys, keySet, put, putAll, putAll, remove, size, values`

### Methods inherited from interface org.eclipse.gef.common.collections.ObservableSetMultimap

`replaceAll`

### Methods inherited from interface javafx.beans.value.ObservableValue

`getValue`

### Methods inherited from interface com.google.common.collect.SetMultimap

`asMap, entries, equals, get, removeAll, replaceValues`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue`

### Constructor Detail

#### SimpleSetMultimapProperty

    public SimpleSetMultimapProperty()

Constructs a new unnamed `SimpleSetMultimapProperty`.

#### SimpleSetMultimapProperty

    public SimpleSetMultimapProperty​(java.lang.Object bean,
                                     java.lang.String name)

Constructs a new `SimpleSetMultimapProperty` for the given bean and with the given name.

Parameters:
  `bean` - The bean this property is related to.
  `name` - The name of the property.

#### SimpleSetMultimapProperty

    public SimpleSetMultimapProperty​(java.lang.Object bean,
                                     java.lang.String name,
                                     ObservableSetMultimap<K,​V> initialValue)

Constructs a new `SimpleSetMultimapProperty` for the given bean and with the given name and initial value.

Parameters:
  `bean` - The bean this property is related to.
  `name` - The name of the property.
  `initialValue` - The initial value of the property

#### SimpleSetMultimapProperty

    public SimpleSetMultimapProperty​(ObservableSetMultimap<K,​V> initialValue)

Constructs a new unnamed `SimpleSetMultimapProperty` that is not related to a bean, with the given initial value.

Parameters:
  `initialValue` - The initial value of the property

### Method Detail

#### getBean

    public java.lang.Object getBean()

#### getName

    public java.lang.String getName()